# org.springframework.messaging.core

## Interfaces

- DestinationResolver
- DestinationResolvingMessageReceivingOperations
- DestinationResolvingMessageRequestReplyOperations
- DestinationResolvingMessageSendingOperations
- MessagePostProcessor
- MessageReceivingOperations
- MessageRequestReplyOperations
- MessageSendingOperations

## Classes

- AbstractDestinationResolvingMessagingTemplate
- AbstractMessageReceivingTemplate
- AbstractMessageSendingTemplate
- AbstractMessagingTemplate
- BeanFactoryMessageChannelDestinationResolver
- CachingDestinationResolverProxy
- GenericMessagingTemplate

## Exceptions

- DestinationResolutionException